Index: src/Element/periodentafel.cpp
===================================================================
--- src/Element/periodentafel.cpp	(revision 3613a21865200b0e605c9c0b4a60e523f04b1811)
+++ src/Element/periodentafel.cpp	(revision 41a467397fe65de7b369f9989fc26e6e18070f2e)
@@ -19,15 +19,15 @@
 #include "CodePatterns/MemDebug.hpp"
 
+#include <cstring>
+#include <fstream>
 #include <iomanip>
 #include <iostream>
-#include <fstream>
-#include <cstring>
+#include <sstream>
 
 #include "CodePatterns/Assert.hpp"
+#include "CodePatterns/Log.hpp"
 #include "element.hpp"
 #include "elements_db.hpp"
-#include "CodePatterns/Log.hpp"
 #include "periodentafel.hpp"
-#include "CodePatterns/Verbose.hpp"
 
 using namespace std;
@@ -63,5 +63,5 @@
   ASSERT(!elements.count(Z), "Element is already present.");
   if (pointer->getNumber() < 1 && pointer->getNumber() >= MAX_ELEMENTS)
-    DoeLog(0) && (eLog() << Verbose(0) << "Invalid Z number!\n");
+    ELOG(0, "Invalid Z number!");
   pair<iterator,bool> res = elements.insert(pair<atomicNumber_t,element*>(Z,pointer));
   return res.first;
@@ -130,6 +130,6 @@
   int Z;
   do {
-    DoLog(0) && (Log() << Verbose(0) << "Atomic number Z: ");
-    cin >> Z;
+    std::cout << "Atomic number Z: ";
+    std::cin >> Z;
     walker = this->FindElement(Z);  // give type
   } while (walker == NULL);
@@ -143,17 +143,17 @@
 {
   atomicNumber_t Z = 0;
-  DoLog(0) && (Log() << Verbose(0) << "Atomic number: " << Z << endl);
+  std::cout << "Atomic number: " << Z;
   cin >> Z;
   const element *res = FindElement(Z);
   if (!res) {
     // TODO: make this using the constructor
-    DoLog(0) && (Log() << Verbose(0) << "Element not found in database, please enter." << endl);
+    std::cout << "Element not found in database, please enter." << std::endl;
     element *tmp = new element;
     tmp->Z = Z;
-    DoLog(0) && (Log() << Verbose(0) << "Mass: " << endl);
+    std::cout << "Mass: ";
     cin >> tmp->mass;
-    DoLog(0) && (Log() << Verbose(0) << "Name [max 64 chars]: " << endl);
+    std::cout << "Name [max 64 chars]: ";
     cin >> tmp->name;
-    DoLog(0) && (Log() << Verbose(0) << "Short form [max 3 chars]: " << endl);
+    std::cout << "Short form [max 3 chars]: ";
     cin >> tmp->symbol;
     AddElement(tmp);
@@ -275,5 +275,5 @@
   input.open(filename);
   if (!input.fail())
-    DoLog(0) && (Log() << Verbose(0) << "Using " << filename << " as elements database." << endl);
+    LOG(0, "Using " << filename << " as elements database.");
   status = status && LoadElementsDatabase(input);
   input.close();
@@ -286,5 +286,5 @@
   input.open(filename);
   if (!input.fail())
-    DoLog(0) && (Log() << Verbose(0) << "Using " << filename << " as electronegativity database." << endl);
+    LOG(0, "Using " << filename << " as electronegativity database.");
   otherstatus = otherstatus && LoadElectronegativityDatabase(input);
   input.close();
@@ -297,5 +297,5 @@
   input.open(filename);
   if (!input.fail())
-    DoLog(0) && (Log() << Verbose(0) << "Using " << filename << " as valence database." << endl);
+    LOG(0, "Using " << filename << " as valence database.");
   otherstatus = otherstatus && LoadValenceDatabase(input);
   input.close();
@@ -308,5 +308,5 @@
   input.open(filename);
   if (!input.fail())
-    DoLog(0) && (Log() << Verbose(0) << "Using " << filename << " as orbitals database." << endl);
+    LOG(0, "Using " << filename << " as orbitals database.");
   otherstatus = otherstatus && LoadOrbitalsDatabase(input);
   input.close();
@@ -319,5 +319,5 @@
   input.open(filename);
   if (!input.fail())
-    DoLog(0) && (Log() << Verbose(0) << "Using " << filename << " as H bond angle database." << endl);
+    LOG(0, "Using " << filename << " as H bond angle database.");
   otherstatus = otherstatus && LoadHBondAngleDatabase(input);
   input.close();
@@ -330,5 +330,5 @@
   input.open(filename);
   if (!input.fail())
-    DoLog(0) && (Log() << Verbose(0) << "Using " << filename << " as H bond length database." << endl);
+    LOG(0, "Using " << filename << " as H bond length database.");
   otherstatus = otherstatus && LoadHBondLengthsDatabase(input);
   input.close();
@@ -341,5 +341,5 @@
   input.open(filename);
   if (!input.fail())
-    DoLog(0) && (Log() << Verbose(0) << "Using " << filename << " as color database." << endl);
+    LOG(0, "Using " << filename << " as color database.");
   otherstatus = otherstatus && LoadColorDatabase(input);
   input.close();
@@ -347,5 +347,5 @@
 
   if (!otherstatus){
-    DoeLog(2) && (eLog()<< Verbose(2) << "Something went wrong while parsing the other databases!" << endl);
+    ELOG(2, "Something went wrong while parsing the other databases!");
   }
 
@@ -361,4 +361,5 @@
   bool status = true;
   string header1tmp,header2tmp;
+//  std::stringstream parsedelements;
   // first parse into a map, so we can revert to old status in case something goes wront
   map<atomicNumber_t,element*> parsedElements;
@@ -368,5 +369,5 @@
     //cout << "First header: " << header1tmp << endl;
     //cout << "Second header: " << header2tmp << endl;
-//    DoLog(0) && (Log() << Verbose(0) <<  "Parsed elements:");
+//    parsedelements <<  "Parsed elements:");
     while (!input.eof()) {
       element *neues = new element;
@@ -393,22 +394,22 @@
       if ((neues->getNumber() > 0) && (neues->getNumber() < MAX_ELEMENTS)) {
         parsedElements[neues->Z] = neues;
-//        DoLog(0) && (Log() << Verbose(0) << " " << *neues);
+//        parsedelements << " " << *neues);
       } else {
-        DoeLog(2) && (eLog() << Verbose(2) << "Detected empty line or invalid element in elements db, discarding." << endl);
-        DoLog(0) && (Log() << Verbose(0) << " <?>");
+        ELOG(2, "Detected empty line or invalid element in elements db, discarding.");
+//        parsedelements << " <?>");
         delete(neues);
       }
       // when the input is in failed state, we most likely just read garbage
       if(input.fail()) {
-        DoeLog(2) && (eLog() << Verbose(2) << "Error parsing elements db." << endl);
+        ELOG(2, "Error parsing elements db.");
         status = false;
         break;
       }
     }
-//    DoLog(0) && (Log() << Verbose(0) << endl);
   } else {
-    DoeLog(1) && (eLog() << Verbose(1) << "Could not open the database." << endl);
+    ELOG(1, "Could not open the database.");
     status = false;
   }
+  //LOG(0, parsedElements.str());
 
   if (!parsedElements.size())
@@ -456,6 +457,5 @@
       input >> elements[Z]->Electronegativity;
       input >> ws;
-      //DoLog(1) && (Log() << Verbose(1)
-        //  << "Element " << Z << " has " << FindElement(Z)->Electronegativity << " valence electrons." << endl);
+      //LOG(1, "INFO: Element " << Z << " has " << FindElement(Z)->Electronegativity << " valence electrons.");
     }
     return true;
@@ -480,5 +480,5 @@
       input >> elements[Z]->Valence;
       input >> ws;
-      //Log() << Verbose(3) << "Element " << Z << " has " << FindElement(Z)->Valence << " valence electrons." << endl;
+      //LOG(3, "INFO: Element " << Z << " has " << FindElement(Z)->Valence << " valence electrons.");
     }
     return true;
@@ -503,5 +503,5 @@
       input >> elements[Z]->NoValenceOrbitals;
       input >> ws;
-      //Log() << Verbose(3) << "Element " << Z << " has " << FindElement(Z)->NoValenceOrbitals << " number of singly occupied valence orbitals." << endl;
+      //LOG(3, "Element " << Z << " has " << FindElement(Z)->NoValenceOrbitals << " number of singly occupied valence orbitals.");
     }
     return true;
@@ -528,5 +528,5 @@
       input >> elements[Z]->HBondAngle[2];
       input >> ws;
-      //Log() << Verbose(3) << "Element " << (int)tmp << " has " << FindElement((int)tmp)->HBondAngle[0] << ", " << FindElement((int)tmp)->HBondAngle[1] << ", " << FindElement((int)tmp)->HBondAngle[2] << " degrees bond angle for one, two, three connected hydrogens." << endl;
+      //LOG(3, "Element " << (int)tmp << " has " << FindElement((int)tmp)->HBondAngle[0] << ", " << FindElement((int)tmp)->HBondAngle[1] << ", " << FindElement((int)tmp)->HBondAngle[2] << " degrees bond angle for one, two, three connected hydrogens.");
     }
     return true;
@@ -553,5 +553,5 @@
       input >> elements[Z]->HBondDistance[2];
       input >> ws;
-      //Log() << Verbose(3) << "Element " << (int)tmp << " has " << FindElement((int)tmp)->HBondDistance[0] << " Angstrom typical distance to hydrogen." << endl;
+      //LOG(3, "Element " << (int)tmp << " has " << FindElement((int)tmp)->HBondDistance[0] << " Angstrom typical distance to hydrogen.");
     }
     return true;
